Summary		: flexible partitioning tool
Name		: parted
Version		: 1.6.24
Release		: 1
Source		: ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
Buildroot	: %{_tmppath}/%{name}-root
Copyright	: GPL
Group		: System
Requires	: e2fsprogs readline
BuildPrereq	: e2fsprogs-devel readline-devel
%description

GNU Parted is a program that allows you to create, destroy,
resize, move and copy hard disk partitions. This is useful for
creating space for new operating systems, reorganising disk
usage, and copying data to new hard disks.


%package 	devel
Summary		: files required to compile software that uses libparted
Group		: Development
Requires	: e2fsprogs
BuildPrereq	: e2fsprogs-devel, readline-devel
%description 	devel
This package includes the header files and libraries needed to
statically link software with libparted.

%prep
%setup -q

%build
%configure \
    --enable-static \
    --enable-part-static \
    --enable-pc98=no \
    --enable-Werror=no \
    --disable-dynamic-loadin \
    --disable-nls \
    --without-included-gettext
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING ChangeLog NEWS README THANKS TODO doc/FAQ doc/API doc/parted.info doc/FAT
%{_libdir}/*.so.*
%{_libdir}/*.so
%{_libdir}/*.la
%{_mandir}/man8
%{_sbindir}

%files devel
%defattr(-,root,root)
%{_libdir}/*.a
%{_includedir}
%{_datadir}
